/**
 * cursus API
 */

import { restGet, restPostn, restDelete, restPatch } from './restConsumer.js'

/**
 * Create a new cursus (bundle of courses)
 * @param courses	list of courses
 */
export async function createCursus(courses){
	return restPost("/cursus", {courses: courses} );
}

/**
 * Delete the specified cursus
 */
export async function deleteCursus(id){
	return restDelete("/cursus/" + id);
}

/**
 * Get informations on a particular cursus
 *
 * @param id	identification of the cursus
 *
 * @return list of courses 
 */
export async function getCursus(id){
	return restGet("/cursus/" + id);
}

/**
 * Modify the courses of a cursus
 *
 * @param id		the id of the cursus
 * @param courses	list of new courses 
 */
export async function alterCursus(id, courses){
	return restPatch("/cursus/" + id, courses);
}
